Hi Adam,
I'm not experienced in Dynamo so not sure if this helps you are not (maybe you can create your own node using this, it is in Python) :
from Autodesk.Revit.DB import*
doc = __revit__.ActiveUIDocument.Document # Defining the document
design_option_set_collector = FilteredElementCollector(doc).OfCategory(BuiltInCategory.OST_DesignOptionSets).ToElements()
design_option_collector = FilteredElementCollector(doc).OfClass(DesignOption).ToElements()
t = Transaction(doc, 'Naming')
t.Start()
counter = 0
for d in design_option_set_collector:
d.Name = 'D' + str(counter) # The names should be unique
counter += 1
t.Commit()
So this way your sets would be renamed D0, D1, D2, ...
You can also do the same thing for primary options and ....
Cheers,